/*
 *  jDTAUS Banking SPI
 *  Copyright (c) 2005 Christian Schulte
 *
 *  Christian Schulte, Haldener Strasse 72, 58095 Hagen, Germany
 *  <cs@jdtaus.org> (+49 2331 3543887)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
package org.jdtaus.banking.dtaus.spi;

/**
 * Constants for fields of logical files.
 *
 * @author <a href="mailto:cs@schulte.it">Christian Schulte</a>
 * @version $Id: Fields.java 5076 2008-07-06 23:44:38Z schulte2005 $
 */
public interface Fields
{
    //--Fields------------------------------------------------------------------

    /** Constant for field 1 of an A record. */
    final int FIELD_A1 = 0xA1;

    /** Constant for field 2 of an A record. */
    final int FIELD_A2 = 0xA2;

    /** Constant for field 3 of an A record. */
    final int FIELD_A3 = 0xA3;

    /** Constant for field 4 of an A record. */
    final int FIELD_A4 = 0xA4;

    /** Constant for field 5 of an A record. */
    final int FIELD_A5 = 0xA5;

    /** Constant for field 6 of an A record. */
    final int FIELD_A6 = 0xA6;

    /** Constant for field 7 of an A record. */
    final int FIELD_A7 = 0xA7;

    /** Constant for field 8 of an A record. */
    final int FIELD_A8 = 0xA8;

    /** Constant for field 9 of an A record. */
    final int FIELD_A9 = 0xA9;

    /** Constant for field 10 of an A record. */
    final int FIELD_A10 = 0xA10;

    /** Constant for field 11a of an A record. */
    final int FIELD_A11A = 0xA11a;

    /** Constant for field 11b of an A record. */
    final int FIELD_A11B = 0xA11b;

    /** Constant for field 11c of an A record. */
    final int FIELD_A11C = 0xA11c;

    /** Constant for field 12 of an A record. */
    final int FIELD_A12 = 0xA12;

    /** Constant for field 1 of a C record. */
    final int FIELD_C1 = 0xC1;

    /** Constant for field 2 of a C record. */
    final int FIELD_C2 = 0xC2;

    /** Constant for field 3 of a C record. */
    final int FIELD_C3 = 0xC3;

    /** Constant for field 4 of a C record. */
    final int FIELD_C4 = 0xC4;

    /** Constant for field 5 of a C record. */
    final int FIELD_C5 = 0xC5;

    /** Constant for field 6 of a C record. */
    final int FIELD_C6 = 0xC6;

    /** Constant for field 6a of a C record. */
    final int FIELD_C6A = 0xC6a;

    /** Constant for field 6b of a C record. */
    final int FIELD_C6B = 0xC6b;

    /** Constant for field 7a of a C record. */
    final int FIELD_C7A = 0xC7a;

    /** Constant for field 7b of a C record. */
    final int FIELD_C7B = 0xC7b;

    /** Constant for field 8 of a C record. */
    final int FIELD_C8 = 0xC8;

    /** Constant for field 9 of a C record. */
    final int FIELD_C9 = 0xC9;

    /** Constant for field 10 of a C record. */
    final int FIELD_C10 = 0xC10;

    /** Constant for field 11 of a C record. */
    final int FIELD_C11 = 0xC11;

    /** Constant for field 12 of a C record. */
    final int FIELD_C12 = 0xC12;

    /** Constant for field 13 of a C record. */
    final int FIELD_C13 = 0xC14;

    /** Constant for field 14 of a C record. */
    final int FIELD_C14 = 0xC14;

    /** Constant for field 14a of a C record. */
    final int FIELD_C14A = 0xC14a;

    /** Constant for field 14b of a C record. */
    final int FIELD_C14B = 0xC14b;

    /** Constant for field 15 of a C record. */
    final int FIELD_C15 = 0xC15;

    /** Constant for field 16 of a C record. */
    final int FIELD_C16 = 0xC16;

    /** Constant for field 17a of a C record. */
    final int FIELD_C17A = 0xC17a;

    /** Constant for field 17b of a C record. */
    final int FIELD_C17B = 0xC17b;

    /** Constant for field 18 of a C record. */
    final int FIELD_C18 = 0xC18;

    /** Constant for field 19 of a C record. */
    final int FIELD_C19 = 0xC19;

    /** Constant for field 20 of a C record. */
    final int FIELD_C20 = 0xC20;

    /** Constant for field 21 of a C record. */
    final int FIELD_C21 = 0xC21;

    /** Constant for field 22 of a C record. */
    final int FIELD_C22 = 0xC22;

    /** Constant for field 23 of a C record. */
    final int FIELD_C23 = 0xC23;

    /** Constant for field 24 of a C record. */
    final int FIELD_C24 = 0xC24;

    /** Constant for field 25 of a C record. */
    final int FIELD_C25 = 0xC25;

    /** Constant for field 26 of a C record. */
    final int FIELD_C26 = 0xC26;

    /** Constant for field 27 of a C record. */
    final int FIELD_C27 = 0xC27;

    /** Constant for field 28 of a C record. */
    final int FIELD_C28 = 0xC28;

    /** Constant for field 29 of a C record. */
    final int FIELD_C29 = 0xC29;

    /** Constant for field 30 of a C record. */
    final int FIELD_C30 = 0xC30;

    /** Constant for field 31 of a C record. */
    final int FIELD_C31 = 0xC31;

    /** Constant for field 32 of a C record. */
    final int FIELD_C32 = 0xC32;

    /** Constant for field 33 of a C record. */
    final int FIELD_C33 = 0xC33;

    /** Constant for field 34 of a C record. */
    final int FIELD_C34 = 0xC34;

    /** Constant for field 35 of a C record. */
    final int FIELD_C35 = 0xC35;

    /** Constant for field 36 of a C record. */
    final int FIELD_C36 = 0xC36;

    /** Constant for field 37 of a C record. */
    final int FIELD_C37 = 0xC37;

    /** Constant for field 38 of a C record. */
    final int FIELD_C38 = 0xC38;

    /** Constant for field 39 of a C record. */
    final int FIELD_C39 = 0xC39;

    /** Constant for field 40 of a C record. */
    final int FIELD_C40 = 0xC40;

    /** Constant for field 41 of a C record. */
    final int FIELD_C41 = 0xC41;

    /** Constant for field 42 of a C record. */
    final int FIELD_C42 = 0xC42;

    /** Constant for field 43 of a C record. */
    final int FIELD_C43 = 0xC43;

    /** Constant for field 44 of a C record. */
    final int FIELD_C44 = 0xC44;

    /** Constant for field 45 of a C record. */
    final int FIELD_C45 = 0xC45;

    /** Constant for field 46 of a C record. */
    final int FIELD_C46 = 0xC46;

    /** Constant for field 47 of a C record. */
    final int FIELD_C47 = 0xC47;

    /** Constant for field 48 of a C record. */
    final int FIELD_C48 = 0xC48;

    /** Constant for field 49 of a C record. */
    final int FIELD_C49 = 0xC49;

    /** Constant for field 50 of a C record. */
    final int FIELD_C50 = 0xC50;

    /** Constant for field 511 of a C record. */
    final int FIELD_C51 = 0xC51;

    /** Constant for field 52 of a C record. */
    final int FIELD_C52 = 0xC52;

    /** Constant for field 53 of a C record. */
    final int FIELD_C53 = 0xC53;

    /** Constant for field 54 of a C record. */
    final int FIELD_C54 = 0xC54;

    /** Constant for field 55 of a C record. */
    final int FIELD_C55 = 0xC55;

    /** Constant for field 56 of a C record. */
    final int FIELD_C56 = 0xC56;

    /** Constant for field 57 of a C record. */
    final int FIELD_C57 = 0xC57;

    /** Constant for field 58 of a C record. */
    final int FIELD_C58 = 0xC58;

    /** Constant for field 59 of a C record. */
    final int FIELD_C59 = 0xC59;

    /** Constant for field 1 of an E record. */
    final int FIELD_E1 = 0xE1;

    /** Constant for field 2 of an E record. */
    final int FIELD_E2 = 0xE2;

    /** Constant for field 3 of an E record. */
    final int FIELD_E3 = 0xE3;

    /** Constant for field 4 of an E record. */
    final int FIELD_E4 = 0xE4;

    /** Constant for field 5 of an E record. */
    final int FIELD_E5 = 0xE5;

    /** Constant for field 6 of an E record. */
    final int FIELD_E6 = 0xE6;

    /** Constant for field 7 of an E record. */
    final int FIELD_E7 = 0xE7;

    /** Constant for field 8 of an E record. */
    final int FIELD_E8 = 0xE8;

    /** Constant for field 9 of an E record. */
    final int FIELD_E9 = 0xE9;

    //------------------------------------------------------------------Fields--
}
